## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EEnum2EditPart.EnumerationFigure

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Shape
              org.eclipse.draw2d.RectangleFigure
                  org.eclipse.emf.ecoretools.diagram.edit.parts.EEnum2EditPart.EnumerationFigure

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

Enclosing class:
  EEnum2EditPart

    public class EEnum2EditPart.EnumerationFigure

extends org.eclipse.draw2d.RectangleFigure

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`org.eclipse.draw2d.IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Shape
`lineStyle, lineWidth`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`EEnum2EditPart.EnumerationFigure()`

Method Summary
`void` `addFromLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureEnumerationNameLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureFromLabel()`
`void` `removeFromLabel()`
`protected void` `setUseLocalCoordinates(boolean useLocalCoordinates)`
`void` `updateFromLabel(java.lang.String text)`
`protected boolean` `useLocalCoordinates()`

Methods inherited from class org.eclipse.draw2d.RectangleFigure
`fillShape, outlineShape`

Methods inherited from class org.eclipse.draw2d.Shape
`getLineStyle, getLineWidth, isOpaque, paintFigure, setFill, setFillXOR, setLineStyle, setLineWidth, setOutline, setOutlineXOR, setXOR`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EEnum2EditPart.EnumerationFigure

    public EEnum2EditPart.EnumerationFigure()

Method Detail

### useLocalCoordinates

    protected boolean useLocalCoordinates()

  Overrides:
    `useLocalCoordinates` in class `org.eclipse.draw2d.Figure`

### setUseLocalCoordinates

    protected void setUseLocalCoordinates(boolean useLocalCoordinates)

### getFigureEnumerationNameLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureEnumerationNameLabel()

### addFromLabel

    public void addFromLabel()

### getFigureFromLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureFromLabel()

### removeFromLabel

    public void removeFromLabel()

### updateFromLabel

    public void updateFromLabel(java.lang.String text)

Copyright 2007 Anyware Technologies. All Rights Reserved.